import request from '@/utils/request'

// 查询结算维修单列表
export function listSettlementMaintain(query) {
  return request({
    url: '/business/settlementMaintain/list',
    method: 'get',
    params: query
  })
}

// 查询结算维修单详细
export function getSettlementMaintain(id) {
  return request({
    url: '/business/settlementMaintain/' + id,
    method: 'get'
  })
}

// 新增结算维修单
export function addSettlementMaintain(data) {
  return request({
    url: '/business/settlementMaintain',
    method: 'post',
    data: data
  })
}

// 修改结算维修单
export function updateSettlementMaintain(data) {
  return request({
    url: '/business/settlementMaintain',
    method: 'put',
    data: data
  })
}

// 删除结算维修单
export function delSettlementMaintain(id) {
  return request({
    url: '/business/settlementMaintain/' + id,
    method: 'delete'
  })
}

// 结算维修单回执
export function receiptSettlementMaintain(data) {
  return request({
    url: '/business/settlementMaintain/receipt',
    method: 'put',
    data: data
  })
}
